| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
board_keil_mcb_18574357.c File Reference
`#include "board.h"`
`#include "string.h"`
`#include "lpc_phy_dp83848.c"`
`#include "retarget.c"`

Go to the source code of this file.

## Macro Definition Documentation

#define LCD_CS | ( |  | x | ) |

Value:
((x) ? (Chip_GPIO_WritePortBit(LPC_GPIO_PORT, 7, 16, true)) : (Chip_GPIO_WritePortBit(LPC_GPIO_PORT, \
7, 16, false)))

Private definitions for LCD

Definition at line 51 of file board_keil_mcb_18574357.c.

## Function Documentation

static Status Board_Audio_CodecInit | ( | int | micIn | ) |
| static

Definition at line 99 of file board_keil_mcb_18574357.c.

static void Board_LED_Init | ( | void |  | ) |
| static

Definition at line 281 of file board_keil_mcb_18574357.c.

static void delay | ( | uint32_t | i | ) |
| static

Definition at line 94 of file board_keil_mcb_18574357.c.

static bool detectTSCTouch | ( | void |  | ) |
| static

Definition at line 173 of file board_keil_mcb_18574357.c.

static Status getTSCCoord | ( | int16_t * | x,
|  | int16_t * | y
| ) |  |
| static

Definition at line 186 of file board_keil_mcb_18574357.c.

void GPIO0_IRQHandler | ( | void |  | ) |

Definition at line 648 of file board_keil_mcb_18574357.c.

static void pinConfig | ( | void |  | ) |
| static

Definition at line 151 of file board_keil_mcb_18574357.c.

static uint32_t readTSCReg | ( | uint8_t | regAddr,
|  | uint8_t * | value
| ) |  |
| static

Definition at line 167 of file board_keil_mcb_18574357.c.

static void writeLCD00_16 | ( | uint16_t | c | ) |
| static

Private functions for LCD controller

Definition at line 119 of file board_keil_mcb_18574357.c.

static void writeLCD01_16 | ( | uint16_t | c | ) |
| static

Definition at line 131 of file board_keil_mcb_18574357.c.

static void writeLCDReg | ( | uint16_t | reg,
|  | uint16_t | dat
| ) |  |
| static

Definition at line 145 of file board_keil_mcb_18574357.c.

static uint32_t writeTSCReg | ( | uint8_t | regAddr,
|  | uint8_t | value
| ) |  |
| static

Definition at line 158 of file board_keil_mcb_18574357.c.

## Variable Documentation

const int32_t ad_bottom = 237

Definition at line 60 of file board_keil_mcb_18574357.c.

const int32_t ad_left = 3813

Definition at line 57 of file board_keil_mcb_18574357.c.

const int32_t ad_right = 360

Definition at line 59 of file board_keil_mcb_18574357.c.

const int32_t ad_top = 3805

Definition at line 58 of file board_keil_mcb_18574357.c.

uint32_t g_isNewPenDn

Definition at line 56 of file board_keil_mcb_18574357.c.

uint32_t g_isPenDn

Private variables for LCD

Definition at line 55 of file board_keil_mcb_18574357.c.

const uint8_t ledbits[] = {24, 25, 26, 27, 28, 12, 13, 14}
| static

Definition at line 48 of file board_keil_mcb_18574357.c.

uint8_t LEDStates
| static

Definition at line 301 of file board_keil_mcb_18574357.c.